Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.groupedgrid.model.provider
Class GroupedGridEditPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.emf.ecp.view.spi.groupedgrid.model.provider.GroupedGridEditPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public final class GroupedGridEditPlugin

extends org.eclipse.emf.common.EMFPlugin

This is the central singleton for the GroupedGrid edit plugin.

Since:
  1.2

Nested Class Summary
`static class` | `GroupedGridEditPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator`

Field Summary
`static GroupedGridEditPlugin` | `INSTANCE` Keep track of the singleton.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Constructor Summary
`GroupedGridEditPlugin()` Create the instance.

Method Summary
`static GroupedGridEditPlugin.Implementation` | `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`org.eclipse.emf.common.util.ResourceLocator` | `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getPluginLogger, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### INSTANCE

    public static final GroupedGridEditPlugin INSTANCE

  Keep track of the singleton.

Constructor Detail

### GroupedGridEditPlugin

    public GroupedGridEditPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Specified by:
    `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
  Returns:
    the singleton instance.

### getPlugin

    public static GroupedGridEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.